import * as create from 'create';

declare const blockVSCode: create.BlockWithAddons<{
    settings: Record<string, unknown>;
    debuggers?: (Record<string, unknown> & {
        name: string;
    })[] | undefined;
    extensions?: string[] | undefined;
    tasks?: ({
        detail: string;
    } & Record<string, unknown>)[] | undefined;
}, {
    description: string;
    email: {
        github: string;
        npm: string;
    };
    title: string;
    owner: string;
    repository: string;
    access?: "public" | "restricted" | undefined;
    author?: string | undefined;
    bin?: string | undefined;
    login?: string | undefined;
    contributors?: {
        name: string;
        avatar_url: string;
        contributions: string[];
        login: string;
        profile: string;
    }[] | undefined;
    documentation?: string | undefined;
    funding?: string | undefined;
    guide?: {
        href: string;
        title: string;
    } | undefined;
    hideTemplatedBy?: boolean | undefined;
    keywords?: string[] | undefined;
    logo?: {
        alt: string;
        src: string;
    } | undefined;
    node?: {
        minimum: string;
        pinned?: string | undefined;
    } | undefined;
    packageData?: {
        dependencies?: Record<string, string> | undefined;
        devDependencies?: Record<string, string> | undefined;
        scripts?: Record<string, string> | undefined;
    } | undefined;
    preserveGeneratedFrom?: boolean | undefined;
    version?: string | undefined;
}>;

export { blockVSCode };
