import { createRequire } from "node:module";
const require2 = createRequire(import.meta.url);
const packageData = (
  // Importing from above src/ would expand the TS build rootDir
  require2("../../../package.json")
);
const getPackageInner = (key, name) => {
  const inner = packageData[key];
  return inner[name];
};
const getPackageDependencies = (...names) => Object.fromEntries(
  names.map((name) => {
    const version = getPackageInner("devDependencies", name) ?? getPackageInner("dependencies", name);
    if (!version) {
      throw new Error(
        `'${name} is neither in package.json's dependencies nor its devDependencies.`
      );
    }
    return [name, version];
  })
);
export {
  getPackageDependencies
};
//# sourceMappingURL=packageData.js.map